[ Identification | Description | Input parameters | Output parameters | Links ]

# The `EPSD_monitor` Component

A monitor measuring neutron intensity vs. position, x, and neutron energy, E

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: 16.4.00
- Version: 1.15

## Description

    A monitor measuring neutron intensity vs. position, x, and neutron energy, E

    Example: EPSD_monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
              Emin=1, Emax=50, nx=20, nE=20, filename="Output.poe")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
filename | text | Name of file in which to store the detector image |
nx | 1 | Number of pixel columns in scattering plane | 20
nE | 1 | Number of energy bins | 20
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
Emin | meV | Lower bound of energy |
Emax | meV | Upper bound of energy |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSD_N | - | Array of neutron counts |
PSD_p | - | Array of neutron weight counts |
PSD_p2 | - | Array of second moments |

## Links

- Source code for `EPSD_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]